Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.saml2
Class SAML2AttributeQueryProfileHandlerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              edu.internet2.middleware.shibboleth.common.config.profile.AbstractRequestURIMappedProfileHandlerBeanDefinitionParser
                  edu.internet2.middleware.shibboleth.common.config.profile.AbstractShibbolethProfileHandlerBeanDefinitionParser
                      edu.internet2.middleware.shibboleth.idp.config.profile.AbstractSAMLProfileHandlerBeanDefinitionParser
                          edu.internet2.middleware.shibboleth.idp.config.profile.saml2.AbstractSAML2ProfileHandlerBeanDefinitionParser
                              edu.internet2.middleware.shibboleth.idp.config.profile.saml2.SAML2AttributeQueryProfileHandlerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class SAML2AttributeQueryProfileHandlerBeanDefinitionParser

extends AbstractSAML2ProfileHandlerBeanDefinitionParser

Spring bean definition parser for `AttributeQueryProfileHandler` profile handlers.

Field Summary
`static QName` | `SCHEMA_TYPE` Schema type.

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`SAML2AttributeQueryProfileHandlerBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(Element config, BeanDefinitionBuilder builder)`
`protected Class` | `getBeanClass(Element arg0)`

Methods inherited from class edu.internet2.middleware.shibboleth.common.config.profile.AbstractRequestURIMappedProfileHandlerBeanDefinitionParser
`getRequestPaths, shouldGenerateId`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_TYPE

    public static final QName SCHEMA_TYPE

  Schema type.

Constructor Detail

### SAML2AttributeQueryProfileHandlerBeanDefinitionParser

    public SAML2AttributeQueryProfileHandlerBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element arg0)

  Overrides:
    `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

    protected void doParse(Element config,
                           BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractSAML2ProfileHandlerBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.